Morpho Curators
Returns a list of Morpho curators across EVM chains, including their total value locked (TVL), the number of vaults they manage, and verification status. Results can be filtered by chain, protocol version, and minimum TVL, and support custom sorting.
GET
https://api.cambrian.org/evm/lending/morpho/curators
Parameters
chain_id (integer)
EVM chain ID.
protocol_id (string)
Filter by protocol ID. Ex: aave-v3, morpho-v1, morpho-v2, euler-lend, etc.
min_tvl_usd (integer)
Minimum TVL Usd of the lending pool/vault
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
order_asc (array)
List of column names to order by in ascending order divided by comma. Leave empty items to combine with descending order
order_desc (array)
List of column names to order by in descending order divided by comma. Leave empty items to combine with ascending order
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "protocolId",
"type": "String"
},
{
"name": "curatorAddress",
"type": "FixedString(42)"
},
{
"name": "curatorName",
"type": "Nullable(String)"
},
{
"name": "totalTvlUsd",
"type": "Float64"
},
{
"name": "vaultCount",
"type": "UInt64"
},
{
"name": "verified",
"type": "Bool"
},
{
"name": "updatedAt",
"type": "DateTime('UTC')"
}
],
"data": [
[
8453,
"morpho-v2",
"0x827e86072b06674a077f592a531dce4590adecdb",
"Steakhouse Financial",
653506097.3010322,
80,
true,
"2026-10-23T22:01:33+00:00"
],
[
8453,
"morpho-v2",
"0x622e19d6903bd4507cfc70b31d5b99535114c0fc",
"Steakhouse Financial",
444873496.726147,
2,
true,
"2026-10-23T21:23:59+00:00"
],
[
8453,
"morpho-v1",
"0x0f963a8a8c01042b69054e787e5763abbb0646a3",
"SparkDAO",
422178368.361614,
1,
true,
"2026-10-23T21:52:19+00:00"
],
[
8453,
"morpho-v1",
"0x9e33faae38ff641094fa68c65c2ce600b3410585",
"Gauntlet",
422032655.4330986,
13,
true,
"2026-10-23T22:01:41+00:00"
],
[
8453,
"morpho-v2",
"0x9e33faae38ff641094fa68c65c2ce600b3410585",
"Gauntlet",
179498017.76024574,
11,
true,
"2026-10-23T22:01:49+00:00"
],
[
8453,
"morpho-v1",
"0x827e86072b06674a077f592a531dce4590adecdb",
"Steakhouse Financial",
131647673.92741756,
17,
true,
"2026-10-23T21:56:49+00:00"
],
[
8453,
"morpho-v2",
"0x5634520dd1c044fd8e589a7113c2d8f8f279fc24",
"Clearstar",
73378843.15065147,
8,
true,
"2026-10-23T22:01:29+00:00"
],
[
8453,
"morpho-v1",
"0x23590feb2a668817a426d46a0447ed3ea8e3eac0",
null,
27101018.085541,
1,
false,
"2026-10-08T17:21:51+00:00"
],
[
8453,
"morpho-v2",
"0x58c83ce55164537f9c73d5b65c426691bc26ffa0",
"KPK",
9355477.330378,
2,
true,
"2026-10-23T20:39:39+00:00"
],
[
8453,
"morpho-v1",
"0x08edebffae68970dcf751baa826182b3a4acfc05",
"Anthias Labs",
8662785.040670542,
5,
true,
"2026-10-23T21:50:57+00:00"
]
],
"rows": 10
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. List Morpho Curators
Retrieve Morpho curators on Base (default chain), limited to 10 results.
curl
curl -X GET "https://api.cambrian.org/evm/lending/morpho/curators?limit=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "curatorAddress",
14 "type": "FixedString(42)"
15 },
16 {
17 "name": "curatorName",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "totalTvlUsd",
22 "type": "Float64"
23 },
24 {
25 "name": "vaultCount",
26 "type": "UInt64"
27 },
28 {
29 "name": "verified",
30 "type": "Bool"
31 },
32 {
33 "name": "updatedAt",
34 "type": "DateTime('UTC')"
35 }
36 ],
37 "data": [
38 [
39 8453,
40 "morpho-v2",
41 "0x827e86072b06674a077f592a531dce4590adecdb",
42 "Steakhouse Financial",
43 653506097.3010322,
44 80,
45 true,
46 "2026-10-23T22:01:33+00:00"
47 ],
48 [
49 8453,
50 "morpho-v2",
51 "0x622e19d6903bd4507cfc70b31d5b99535114c0fc",
52 "Steakhouse Financial",
53 444873496.726147,
54 2,
55 true,
56 "2026-10-23T21:23:59+00:00"
57 ],
58 [
59 8453,
60 "morpho-v1",
61 "0x0f963a8a8c01042b69054e787e5763abbb0646a3",
62 "SparkDAO",
63 422178368.361614,
64 1,
65 true,
66 "2026-10-23T21:52:19+00:00"
67 ],
68 [
69 8453,
70 "morpho-v1",
71 "0x9e33faae38ff641094fa68c65c2ce600b3410585",
72 "Gauntlet",
73 422032655.4330986,
74 13,
75 true,
76 "2026-10-23T22:01:41+00:00"
77 ],
78 [
79 8453,
80 "morpho-v2",
81 "0x9e33faae38ff641094fa68c65c2ce600b3410585",
82 "Gauntlet",
83 179498017.76024574,
84 11,
85 true,
86 "2026-10-23T22:01:49+00:00"
87 ],
88 [
89 8453,
90 "morpho-v1",
91 "0x827e86072b06674a077f592a531dce4590adecdb",
92 "Steakhouse Financial",
93 131647673.92741756,
94 17,
95 true,
96 "2026-10-23T21:56:49+00:00"
97 ],
98 [
99 8453,
100 "morpho-v2",
101 "0x5634520dd1c044fd8e589a7113c2d8f8f279fc24",
102 "Clearstar",
103 73378843.15065147,
104 8,
105 true,
106 "2026-10-23T22:01:29+00:00"
107 ],
108 [
109 8453,
110 "morpho-v1",
111 "0x23590feb2a668817a426d46a0447ed3ea8e3eac0",
112 null,
113 27101018.085541,
114 1,
115 false,
116 "2026-10-08T17:21:51+00:00"
117 ],
118 [
119 8453,
120 "morpho-v2",
121 "0x58c83ce55164537f9c73d5b65c426691bc26ffa0",
122 "KPK",
123 9355477.330378,
124 2,
125 true,
126 "2026-10-23T20:39:39+00:00"
127 ],
128 [
129 8453,
130 "morpho-v1",
131 "0x08edebffae68970dcf751baa826182b3a4acfc05",
132 "Anthias Labs",
133 8662785.040670542,
134 5,
135 true,
136 "2026-10-23T21:50:57+00:00"
137 ]
138 ],
139 "rows": 10
140 }
141]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "curatorAddress",
14 "type": "FixedString(42)"
15 },
16 {
17 "name": "curatorName",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "totalTvlUsd",
22 "type": "Float64"
23 },
24 {
25 "name": "vaultCount",
26 "type": "UInt64"
27 },
28 {
29 "name": "verified",
30 "type": "Bool"
31 },
32 {
33 "name": "updatedAt",
34 "type": "DateTime('UTC')"
35 }
36 ],
37 "data": [
38 [
39 8453,
40 "morpho-v2",
41 "0x827e86072b06674a077f592a531dce4590adecdb",
42 "Steakhouse Financial",
43 653506097.3010322,
44 80,
45 true,
46 "2026-10-23T22:01:33+00:00"
47 ],
48 [
49 8453,
50 "morpho-v2",
51 "0x622e19d6903bd4507cfc70b31d5b99535114c0fc",
52 "Steakhouse Financial",
53 444873496.726147,
54 2,
55 true,
56 "2026-10-23T21:23:59+00:00"
57 ],
58 [
59 8453,
60 "morpho-v1",
61 "0x0f963a8a8c01042b69054e787e5763abbb0646a3",
62 "SparkDAO",
63 422178368.361614,
64 1,
65 true,
66 "2026-10-23T21:52:19+00:00"
67 ],
68 [
69 8453,
70 "morpho-v1",
71 "0x9e33faae38ff641094fa68c65c2ce600b3410585",
72 "Gauntlet",
73 422032655.4330986,
74 13,
75 true,
76 "2026-10-23T22:01:41+00:00"
77 ],
78 [
79 8453,
80 "morpho-v2",
81 "0x9e33faae38ff641094fa68c65c2ce600b3410585",
82 "Gauntlet",
83 179498017.76024574,
84 11,
85 true,
86 "2026-10-23T22:01:49+00:00"
87 ],
88 [
89 8453,
90 "morpho-v1",
91 "0x827e86072b06674a077f592a531dce4590adecdb",
92 "Steakhouse Financial",
93 131647673.92741756,
94 17,
95 true,
96 "2026-10-23T21:56:49+00:00"
97 ],
98 [
99 8453,
100 "morpho-v2",
101 "0x5634520dd1c044fd8e589a7113c2d8f8f279fc24",
102 "Clearstar",
103 73378843.15065147,
104 8,
105 true,
106 "2026-10-23T22:01:29+00:00"
107 ],
108 [
109 8453,
110 "morpho-v1",
111 "0x23590feb2a668817a426d46a0447ed3ea8e3eac0",
112 null,
113 27101018.085541,
114 1,
115 false,
116 "2026-10-08T17:21:51+00:00"
117 ],
118 [
119 8453,
120 "morpho-v2",
121 "0x58c83ce55164537f9c73d5b65c426691bc26ffa0",
122 "KPK",
123 9355477.330378,
124 2,
125 true,
126 "2026-10-23T20:39:39+00:00"
127 ],
128 [
129 8453,
130 "morpho-v1",
131 "0x08edebffae68970dcf751baa826182b3a4acfc05",
132 "Anthias Labs",
133 8662785.040670542,
134 5,
135 true,
136 "2026-10-23T21:50:57+00:00"
137 ]
138 ],
139 "rows": 10
140 }
141]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/morpho/curators"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/morpho/curators"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/morpho/curators")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/morpho/curators")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request